Bug 241607 - graphics/libheif: Update to 1.5.1
Summary: graphics/libheif: Update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-31 06:20 UTC by Sebastian Steinmetz
Modified: 2019-11-18 23:49 UTC (History)
1 user (show)

See Also:


Attachments
Patch for libheif 1.5.1 (1.38 KB, patch)
2019-11-02 08:51 UTC, Sebastian Steinmetz
no flags Details | Diff
patch for libheif 1.5.1 + maintainer mail address change (1.58 KB, patch)
2019-11-02 14:07 UTC, Sebastian Steinmetz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Steinmetz 2019-10-31 06:20:35 UTC
Patch to upgrade Makefile, distinfo and pig-plist for version 1.5.1 (current release on GitHub page).

Removed files/patch-libheif__encoder_fuzzer.cc and the files folder, as the patch is incorporated upstream.
Comment 1 Bugzilla Automation freebsd_committer 2019-10-31 06:20:35 UTC
Maintainer informed via mail
Comment 2 Steve Wills freebsd_committer 2019-10-31 07:25:03 UTC
(In reply to Sebastian Steinmetz from comment #0)
Where is the patch?
Comment 3 Sebastian Steinmetz 2019-11-02 08:51:08 UTC
Created attachment 208788 [details]
Patch for libheif 1.5.1
Comment 4 Sebastian Steinmetz 2019-11-02 08:52:17 UTC
(In reply to Steve Wills from comment #2)
Sorry. Feeling rather stupid :P.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-02 09:27:52 UTC
Thank you for the report and patch Sebastian.

Port MAINTAINER lines and Bugzilla account emails need to match so we can verify maintainer submitted updates. Accordingly, could you please:

1) Update your Bugzilla account email address to match the current port MAINTAINER line (me@)

2) Optionally: If you wish to continue to use the current (freebsd-2018@) email address, update the patch to use that email address.

3) Set the maintainer-approval attachment flag (to +). Attachment -> Details -> maintainer-approval [+]

4) Switch your Bugzilla account email address back (to freebsd-2018@)

Thanks!
Comment 6 Sebastian Steinmetz 2019-11-02 14:07:06 UTC
Created attachment 208797 [details]
patch for libheif 1.5.1 + maintainer mail address change

Change the maintainer mail address to my freebsd bug tracker handle.
Comment 7 Sebastian Steinmetz 2019-11-02 14:10:57 UTC
(In reply to Kubilay Kocak from comment #5)
I need to wait for the bug tracker mail address change to cool down, and allowing me a second change to the desired freebsd@sebastiansteinmetz.ch
Comment 8 Sebastian Steinmetz 2019-11-12 00:41:43 UTC
In the meantime upstream released version 1.6.0. So I've made another patch and bug report. See linked 241901.
Comment 9 commit-hook freebsd_committer 2019-11-18 23:48:08 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 18 23:48:03 UTC 2019
New revision: 517929
URL: https://svnweb.freebsd.org/changeset/ports/517929

Log:
  graphics/libheif: update to 1.6.0

  - Update MAINTAINER address
  - Fix stage-qa warning
  - Drop FreeBSD 10 fix after r483654

  Changes:	https://github.com/strukturag/libheif/releases
  Changes:	https://github.com/strukturag/libheif/compare/v1.3.2...v1.6.0
  PR:		241607 241900
  Submitted by:	Sebastian Steinmetz (maintainer)
  Approved by:	maintainer timeout (2 weeks, old email)

Changes:
  head/graphics/libheif/Makefile
  head/graphics/libheif/distinfo
  head/graphics/libheif/files/
  head/graphics/libheif/pkg-plist
Comment 10 Jan Beich freebsd_committer 2019-11-18 23:49:20 UTC
Thanks. Landed.